function init(hero) {
    hero.setName("Starfire");
    hero.setTier(6);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");

    hero.setHelmet("Hair");
    hero.setChestplate("Top");
    hero.setLeggings("Skirt");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_starfire");
    hero.addAttribute("PUNCH_DAMAGE", 1.0, 0);
    
    hero.addKeyBind("AIM", "Quick Blast", 1);
    hero.addKeyBind("CHARGED_BEAM", "Charged Blast", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Flight Style", 4);

    hero.setModifierEnabled(isModifierEnabled);
    hero.supplyFunction("canAim", canAim);

}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:gliding":
        return entity.getData("mvh:dyn/flightstyletoggle");
    default:
        return true;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}